> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current infrastructure configuration



## OpenAPI

````yaml get /api/migration/infrastructure-config
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/migration/infrastructure-config:
    get:
      tags:
        - Infrastructure configuration
      summary: Get current infrastructure configuration
      operationId: get_config_api_migration_infrastructure_config_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InfrastructureConfigResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    InfrastructureConfigResponse:
      properties:
        cluster_ssh_conn_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Cluster Ssh Conn Id
        cluster_edge_temp_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Cluster Edge Temp Path
        migration_spark_conn_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Migration Spark Conn Id
        migration_smtp_conn_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Migration Smtp Conn Id
        s3_source_endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Source Endpoint
        s3_source_access_key:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Source Access Key
        s3_dest_endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Dest Endpoint
        s3_dest_access_key:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Dest Access Key
        default_s3_bucket:
          anyOf:
            - type: string
            - type: 'null'
          title: Default S3 Bucket
        tracking_database:
          anyOf:
            - type: string
            - type: 'null'
          title: Tracking Database
        tracking_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Tracking Location
        report_output_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Report Output Location
        email_recipients:
          anyOf:
            - type: string
            - type: 'null'
          title: Email Recipients
        distcp_mappers:
          anyOf:
            - type: integer
            - type: 'null'
          title: Distcp Mappers
        distcp_bandwidth:
          anyOf:
            - type: integer
            - type: 'null'
          title: Distcp Bandwidth
        mapr_user:
          anyOf:
            - type: string
            - type: 'null'
          title: Mapr User
        mapr_ticketfile_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Mapr Ticketfile Location
        kinit_principal:
          anyOf:
            - type: string
            - type: 'null'
          title: Kinit Principal
        kinit_keytab:
          anyOf:
            - type: string
            - type: 'null'
          title: Kinit Keytab
      type: object
      title: InfrastructureConfigResponse
      description: >-
        Infrastructure configuration response. Write-only fields are always
        None.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````